#!/usr/bin/env bash
#
# Hit an endpoint that requires a valid JWT.
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"


function main() {
    local jwt
    jwt=$(cd "$DIR"/../api_server && poetry run python -m api_server.local_generate_long_lived_token)
    local gateway_address
    gateway_address=$(tf output -raw gateway_address)
    curl -H "Authorization: Bearer $jwt" "https://$gateway_address/some_protected_endpoint"
}

function tf() {
    terraform -chdir="$DIR/../terraform" "${@}"
}




main "${@}"
